<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<%def name="Resume()">
        <table class="table table-striped table-bordered table-hover">
            <CAPTION>La feuille de route de mes interventions</CAPTION>
            <thead style="text-align:center">
                <tr>
                    <th>Section</th>
                    <th>Statut</th>
                </tr>                    
            </thead>            
            <tbody>
                <tr>
                    <td>Conférences</td> <td style="text-align:center">Aucune</td>
                </tr>
                <tr>
                    <td>Stands</td> <td style="text-align:center">Aucune</td>
                </tr>
                <tr>
                    <td>Ateliers</td> <td style="text-align:center">Aucune</td>
                </tr>
                <tr>
                    <td>Tables Ronde</td> <td style="text-align:center">Aucune</td>
                </tr>
                <tr>
                    <td>Organisation</td> <td style="text-align:center">Aucune</td>
                </tr>
            </tbody>
        </table>
</%def>

<%def name="wrapper(Type)">

<%
if Type=='O':
    CurTitle  = u"ma participation"
    CurTitles = u"participations"
    CurEvent  = u"de participation"
    CurEventType = "Aucun"
    CurLink = "Ma_Participation"
elif Type=='C':
    CurTitle  = u"une conférence"
    CurTitles = u"conférences"
    CurEvent  = u"de conférence"
    CurEventType = "Conference"
    CurLink = "Ma_Conference"
elif Type=='S':
    CurTitle  = "un stand"
    CurTitles = "stands"
    CurEvent  = u"de stand"
    CurEventType = "Stand"
    CurLink = "Mon_Stand"
elif Type=='A':
    CurTitle  = "un atelier"
    CurTitles = u"ateliers"
    CurEvent  = u"d'atelier"
    CurEventType = "Atelier"
    CurLink = "Mon_Atelier"
elif Type=='T':
    CurTitle  = "une table ronde"
    CurTitles = u"tables ronde"
    CurEvent  = u"de table ronde"
    CurEventType = "Table ronde"
    CurLink = "Ma_Table_Ronde"    
%>
    <fieldset> 
        <legend class="lowshadow">Vos ${CurTitles} programmés pour 2015</legend>
<% 
Selection = filter(lambda x:(x.event_type==CurEventType and x.for_year==2015), uprofil.events)
HeadHistTitle = u"L'historique de vos %s ( %d ) " % ( CurTitles, len(Selection) )
NothingTitle = u"Vous n'avez pas sollicité d'intervention %s." % CurEvent
%>
    ${helpers.show_Interventions(Selection, "Sujet", NothingTitle )}
    </fieldset>

% if Type=='C':
<p>
    <strong>Proposer une conférence / un lighting talk</strong><br/>
    <ul>
    <li>Si vous avez une expérience particulière avec les logiciels libres 
    que vous souhaitez partager.</li>
    <li>Si vous êtes acteur d’un des sujets actuels qui menacent ou qui 
    pormeuvent le logiciel libre.</li>
    <li>Si vous voulez présenter un logiciel libre dont vous êtes l’auteur.</li>
    </ul>
    Nous serons heureux de vous écouter.    
    <br>
    Nous souhaitons proposer des conférences pour un public débutant 
    autant que pour des visiteurs avertis. Les sujets ne doivent pas 
    forcément être techniques, mais aussi d’ordre général avec la seul 
    contrainte de traiter de près ou de loin des logiciels libres, de la 
    communauté ou de vos propres expériences d’utilisateur quotidien. <br>
    Le but de ces conférences est double : 
    <ul>
        <li>donner confiance aux futurs utilisateurs de logiciels libres</li> 
        <li>donner matière à réflexion aux auditrices et aux auditeurs expérimentés.</li>
    </ul>
    Les conférences ont un format défini de 5, 20, 50 ou 70 minutes, 
    modulable à loisir entre présentation et questions. Vous aideriez l'équipe 
    d'organisation en essayant au maximum de ne pas dépasser la durée que vous réservez.
    Dans tous les cas, 5 minutes supplémentaires vous sont attribuées pour
    la mise en place de votre conférence.
</p>
% elif Type=='A':
<p>
    <strong>Proposer un atelier</strong><br/>

    Si vous avez un savoir faire particulier dans l’utilisation d’un 
    logiciel libre et que vous souhaitez le partager, ou si vous vous 
    sentez l’âme d’un instructeur capable de passer les bases de 
    l’utilisation de Linux et des logiciels libres standards pour 
    une utilisation familiale : soyez les bienvenus.

    Les ateliers sont organisés dans des salles équipées en matériel 
    informatique et en vidéo-projecteur. Afin de ne pas perdre de temps, 
    nous avons besoin de connaître les logiciels et installations 
    spéciales à préparer avant la session de l’atelier.
</p>
% endif

% if Type=='O':
    <fieldset> 
        <legend>Participer à l'organisation</legend>
        <strong>Une autre façon de participer !</strong>
        <p>        
        Comme vous vous en doutez, la meilleure organisation qui existe,
        c'est celle où chacun apporte sa part de participation.
        </p>        
        <p>
        Et oui, il existe plein de façon de participer aux JM2L, choisissez :
        </p>
    </fieldset>
        <ul>
            <li>            
                <label class="checkbox">
                    <input type="checkbox"> Participer au fléchage de l'évenement.
                </label>
            </li>        
            <li>            
                <label class="checkbox">
                    <input type="checkbox"> Faire les courses
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Participer à l'accueil des visiteurs.
                </label>
            </li>        
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Accompagner, Guider les visiteurs.
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Accompagner, Guider les intervenants.
                </label>
            </li>
            <li>            
                <label class="checkbox">
                    <input type="checkbox"> Déplacer le matériel / le mobilier
                </label>
            </li>            
            <li>            
                <label class="checkbox">
                    <input type="checkbox"> Monter / Démonter les stands
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Participer à la préparation / à vider les poubelles
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Participer à la préparation / à vider les salles de conférence
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Participer à la prise de son/vidéo des conférenciers.
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Participer à poser, à repartir, à enlever les ralonges éléctriques.
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Participer à poser, à repartir, à enlever les câbles réseau / le Wifi.
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Remplir les frigos, s'assurer qu'il soit toujours plein. (Boissons)
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Participer à la distribution des repas.
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Faire du café et s'assurer de sa disponibilité.
                </label>
            </li>
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Participer à la publication / au montage des vidéos des conférenciers.
                </label>
            </li>            
            <li>
                <label class="checkbox">
                    <input type="checkbox"> Autres
                </label>
            </li>
        <ul>
% endif
    
    <a href="/MesJM2L/2015/${CurEventType.replace(' ','_')}">Je souhaite ajouter ${CurTitle} pour les JM2L 2015 !</a>
    
% if Type!='O':
    <fieldset> 
        <legend class="lowshadow">Historique</legend>
<% 
Selection = filter(lambda x:(x.event_type==CurEventType and x.for_year!=2015), uprofil.events)
HeadHistTitle = u"L'historique de vos %s ( %d ) " % ( CurTitles, len(Selection) )
NothingTitle = u"Désolé, Il n'y a rien dans l'historique vous concernant."
%>
    ${helpers.show_Interventions(Selection, HeadHistTitle, NothingTitle )}
    </fieldset>
% endif
</%def>
