<%inherit file="jm2l:templates/layout.mako"/>
<%def name="jsAddOn_head()">
    <script src="/vendor/leaflet/js/leaflet.js"></script>
</%def>
<%def name="cssAddOn()">
  <link rel="stylesheet" href="/vendor/leaflet/css/leaflet.css" />
  <style>
    #come_map {
        height: 300px;
    }
  </style>
</%def>

<h2 class="shadow">Nous rejoindre...</h2>

<div class="span10 offset1">
    <p>D’où que vous veniez, tout est mis en place pour que vous 
        puissiez vous rendre en toute simplicité sur les lieux de l’événement.
        <br> N'hésitez pas à utiliser la section covoiturage de votre profil. Et
        pas de panique ! Demain, ce sera pire... </p>
</div>

<div class="row-fluid">
    <div class="span4 offset1">
        <h4>Le staff</h4>
            <dl>
               <dt>sur IRC</dt>
                  <dd>» #jm2l@irc.freenode.net</dd>
               <dt>par Mail</dt>
                  <dd>» contact at jm2l.linux-azur.org</dd>
               <dt>par Téléphone</dt>
                  <dd>» +33 (0)&nbsp;6 52 42 31 37</dd>
            </dl> 
    </div>
    <div class="span4 offset1">
        <h4>Le lieu</h4>
        <address>
            <strong>École&nbsp;</strong><strong>Polytech’Nice-Sophia </strong><br>
                    930, route des Colles (site des Templiers)&nbsp;<br>
                    06903 Sophia Antipolis (Biot)
        </address>
            <p>GPS Lat.: 43°61'56.9"N - Lon.: 7°0'71.95"E</p>
    </div>
</div>
<div class="row-fluid">
    <div class="span8 offset2">
        <div id="come_map"></div>
        <script type="text/javascript">
            var map = L.map('come_map');
            // create the tile layer with correct attribution
            var osmUrl='http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png';
            var osmAttrib='Map data © <a href="http://openstreetmap.org">OpenStreetMap</a> contributors';
            var osm = new L.TileLayer(osmUrl, {minZoom: 7, maxZoom: 18, attribution: osmAttrib});
            // start the map on specified GPS Coords
            map.setView(new L.LatLng(43.61562,7.0724),15);
            marker = L.marker([43.615693, 7.0726221]).addTo(map);
            map.addLayer(osm);
        </script>
    </div>
</div>
<br>
<div class="row-fluid">
  <div class="span10 offset1">
    <div class="tabbable" id="main_tab">
        <ul class="nav nav-tabs">
            <li class="active"><a href="#Trsp" data-toggle="tab"><img style="margin-bottom: -15px;" alt="en bus" src="/img/tr_bus_.png"> Bus</a></li>
            <li><a href="#Voiture" data-toggle="tab"><img style="margin-bottom: -15px;" alt="en voiture" src="/img/tr_voiture_.png"> Voiture</a></li>
            <li><a href="#Train" data-toggle="tab"><img style="margin-bottom: -15px;" alt="en train" src="/img/tr_train_.png"> Train</a></li>            
            <li><a href="#Avion" data-toggle="tab"><img style="margin-bottom: -15px;" alt="en avion" src="/img/tr_avion_.png"> Avion</a></li>      
        </ul>
         
        <div class="tab-content">
            <div class="tab-pane fade active in" id="Trsp">
                <h3>Bus</h3>
                    <h4>Depuis Nice (durée&nbsp;: environ 30')&nbsp;:</h4>
                    <ul>
                        <li>Trajet sur la ligne Nice-Sophia Express&nbsp;:&nbsp;
                            <a href="https://www.cg06.fr/documents/A-votre-service/Deplacements/transports-en-commun/cg06-transports_lignes_230.pdf">ligne 230</a>
                        </li>
                        <li>Trajet sur la ligne Cagnes-Villeneuve-Biot-Sophia&nbsp;:&nbsp;
                            <a href="http://www.cg06.fr/document/?f=servir-les-habitants/fr/231.pdf">ligne 231</a>
                        </li>
                        <li>Trajet sur la ligne StLaurent-Cagnes-Sophia&nbsp;:&nbsp;
                            <a href="https://www.cg06.fr/documents/A-votre-service/Deplacements/transports-en-commun/232.pdf">ligne 232</a>
                        </li>
                        <li>Trajet sur la ligne Vence-StPaul-Valbonne-Sophia&nbsp;:&nbsp;
                            <a href="https://www.cg06.fr/documents/A-votre-service/Deplacements/transports-en-commun/233.pdf">ligne 233</a>
                            <ul>
                                <li>Arrivée&nbsp;: descendre à l’arrêt lesTempliers (à 700m à pied) ou IUT (à 150m à pied)</li>
                            </ul>
                        </li>
                    </ul>
                    
                    <h4>Depuis Cannes (durée&nbsp;: environ 30')&nbsp;:</h4>
                    <ul>
                        <li>Trajet sur la ligne Cannes - Sophia Antipolis&nbsp;:&nbsp;
                            <a href="https://www.cg06.fr/documents/A-votre-service/Deplacements/transports-en-commun/630.pdf">ligne 630</a>
                            <ul>
                                <li>Arrivée&nbsp;: descendre à l’arrêt des LesTempliers (à 700m à pied) ou IUT (à 150m à pied)</li>
                            </ul>
                        </li>
                    </ul>
                    
                    <h4>Depuis Antibes (durée&nbsp;: entre 10 et 30')&nbsp;:</h4>
                    <ul>
                        <li>Trajet sur la ligne Express (uniquement pour le vendredi)&nbsp;
                            <a href="http://www.envibus.fr/ligne_detail.asp?id=79&amp;id_commune=1">ligne 100</a>
                        </li>
                        <li>Trajet sur la&nbsp;
                            <a href="http://www.envibus.fr/ligne_detail.asp?id=1&amp;id_commune=1">ligne 1</a>
                        </li>
                        <li>Trajet sur la&nbsp;
                            <a href="http://www.envibus.fr/ligne_detail.asp?id=12&amp;id_commune=1">ligne 9</a>
                        </li>
                        <li>Trajet sur la&nbsp;
                            <a href="http://www.envibus.fr/ligne_detail.asp?id=14&amp;id_commune=1">ligne 11</a>
                            <ul>
                                <li>Arrivée&nbsp;: descendre à l’arrêt LesTempliers(à 700m à pied) ou IUT (à 150m à pied)</li>
                            </ul>
                        </li>
                    </ul>
            </div>
            <div class="tab-pane fade in" id="Avion">            
                <h3>Avion</h3>
                <p>Des lignes régulières desservent l’aéroport de Nice Côte d’Azur 
                depuis les grandes villes de France et d’Europe. Depuis Paris, 
                la Navette Air France a un départ toutes les heures. Un service 
                de taxis vous conduira à grands frais jusqu’à Polytech’Nice-Sophia. 
                Pensez à contacter la communauté pour vous éviter ces frais. 
                Quelqu’un pourra certainement vous récupérer à l’aéroport et 
                vous amener à Polytech’Nice-Sophia. Autrement, La société&nbsp;
                <a href="http://www.nice.aeroport.fr/acces_stationnement/bus/recherche.asp?lign_id=%7B3396BEE2-4ED0-4FAF-8E25-2F031FF4FE7E%7D">STCAR</a>&nbsp;
                propose une navette reliant l’aéroport de Nice directement à Sophia Antipolis via la navette.
                </p>
                <p><a href="http://www.cg06.fr/fr/servir-les-habitants/deplacements/transport-collectifs/lignes-et-horaires/lignes-et-horaires/">Site transports du conseil général.</a></p>
                <ul>
                    <li>Départ&nbsp;: Terminal 1 ou 2</li>
                    <li>Arrivée&nbsp;: descendre à l’arrêt Templiers (700m à pied) ou IUT (à 150m à pied)</li>
                </ul>
            </div>
            <div class="tab-pane fade in" id="Train">
                <h3>Train</h3>
                <p>La gare la plus proche est celle d’Antibes. Les&nbsp;
                    <a href="http://www.envibus.fr/ligne_detail.asp?id=1&amp;id_commune=1#">lignes de bus numéro 1</a>,&nbsp;
                    <a href="http://www.envibus.fr/ligne_detail.asp?id=79&amp;id_commune=1">ligne de bus numéro 100 (uniquement le vendredi)&nbsp;</a>
                    vous emmèneront depuis la gare (arret Passerelle SNCF) jusqu’à l’IUT de Sophia Antipolis. 
                    Polytech’Nice-Sophia partage le site avec l’IUT. Suivez les indications sur place.
                </p>
            </div>
            <div class="tab-pane fade in" id="Voiture">
                <h3>Voiture</h3>
                <p>Par l’autoroute, prendre la sortie 44 Antibes ou Sophia, selon le sens de circulation. 
                Prendre direction Sophia Antipolis (la première route à droite après le péage).</p>
                <p>Au rond point en bas de la route des chappes, suivre ensuite la direction Sophia Tech.</p>
                <p><a href="http://wiki.linux-azur.org/PlanJm2L">http://wiki.linux-azur.org/PlanJm2L</a></p>
                <p>Un&nbsp;<strong>flêchage de l’itinéraire</strong>&nbsp;noir sur fond jaune ou orange - 
                JM2L - est en place pour vous guider à partir de la sortie 44 de l’autoroute A8.
                </p>
                <p>Pensez aussi au co-voiturage&nbsp;:-)&nbsp;
                <a href="http://www.covoiturage06.fr/">http://www.covoiturage06.fr/</a>
                </p>            
            </div>
            
            <div class="tab-pane fade in" id="Contact">

            </div>
        </div>
    </div>
  </div>
</div>


