## -*- coding: utf-8 -*-
<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>
<%def name="jsAddOn()">
  <script src="/vendor/ckeditor/ckeditor.js"></script>
  <script src="/vendor/select2/js/select2.js"></script>
  <script src="/vendor/fileupload/js/jquery-uploader.min.js"></script>
</%def>
<%def name="cssAddOn()">
  <link rel="stylesheet" href="/vendor/select2/css/select2.css" type="text/css" media="screen" />
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload.css">
  <link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui.css">
  <link rel="stylesheet" href="/vendor/leaflet/css/leaflet.css" />  
  <!-- CSS adjustments for browsers with JavaScript disabled -->
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-noscript.css"></noscript>
  <noscript><link rel="stylesheet" href="/vendor/fileupload/css/jquery.fileupload-ui-noscript.css"></noscript>  
</%def>
<% from datetime import datetime %>

<div class="row-fluid">
  <div class="span10 offset1">


% if 'uid' in form._fields:
    <div class="borderboxtime">
    ${event.start_time.strftime('%d %b %Y').decode('utf-8')} -
    ${event.start_time.strftime('%H:%M')} à ${event.end_time.strftime('%H:%M')}
    %if event.Salle:
        - <strong>Salle</strong>: ${event.Salle.name}
    %endif
    </div>
%endif
<h3 style="line-height:30px;" class="lowshadow">${form.event_type.data}</h3>
% if 'uid' in form._fields:
    <div class="borderbox">
        Intrevenants programmés:
        <ul>
        % if event.intervenants.count()==0:
            <i><b>Aucun</b></i>
        % else:
            % for num, iterv in enumerate(event.intervenants):
                <li>
                    <strong><a href="/user/${iterv.slug}">${iterv.prenom} ${iterv.nom}</a></strong>. 
                    % if iterv.pseudo:
                        (${iterv.pseudo})
                    %endif
                </li>
            % endfor
        % endif
        </ul>
    </div>
        <a href="/event/${event.for_year}/${event.slug}" class="pull-right">Voir la version publiée de cet évenement</a>    
<br clear="both">
%endif
<fieldset>
    <legend>Proposer un événement</legend>
    <form action="" method="POST">
        ${form.csrf_token}
        % if 'uid' in form._fields:
            ${form.uid}
        %endif
        ${form.start_time}
        ${form.end_time}

<%
DicForm = {
    'for_year':    {'PlaceHolder':u"Année",       'ContainerStyle':"padding-right:5px;float:left;",  },
    'event_type':  {'PlaceHolder':u"Nom",         'ContainerStyle':"padding-right:5px;",             },
    'start_sel':   {'PlaceHolder':u"Début",       'ContainerStyle':"padding-right:15px;float:left;", "FieldStyle":"width:15em;"},
    'duration':    {'PlaceHolder':u"Durée",       'ContainerStyle':"padding-right:15px;float:left;", "FieldStyle":"width:15em;"},
    'salle_uid':   {'PlaceHolder':u"Salle",       'ContainerStyle':"padding-right:15px;",            "FieldStyle":"width:15em;"},
    'name':        {'PlaceHolder':u"Nom",         'ContainerStyle':"padding-right:5px;",             "FieldStyle":"width:95%;"},
    'description': {'PlaceHolder':u"Description", 'ContainerStyle':"padding-right:5px;",             "FieldStyle":"width:90%;height:500px;", "ckeditor":1 },
    } 
%>

    ${helpers.DisplayForm(form, DicForm)}
    <br>
    <center>
        <button class="btn btn-large btn-primary" type="submit">Proposer</button>
    </center>
    </form>
    
</fieldset>

    % if 'uid' in form._fields:
<fieldset>
    <legend>Vos support de présentation</legend>
        <div style="float:right;width:60%">
            <p> En plus de vos support de présentation classique.
            Pensez aussi aux affiches, aux flyers, aux stickers,
            au bulletin d'adhésion à une association, à la documentation technique...
            Tous ce qui peut être utile, de près ou de loin à la promotion de votre évenement.
            </p>
        </div>
        ${helpers.uploader("event", form.uid.data, u"un support de présentation" )}
</fieldset>
    %else:
        <p>NB: Vous devez proposer votre conférence avant de pouvoir
        téléverser votre support de présentation.
        </p>
    % endif

% if 'uid' in form._fields:

<fieldset>
    <legend>Indiquez l'entité dont vous faites la promotion :</legend>
    <p>
        <form action="/MesJM2L/${form.for_year.data}/${form.event_type.data}/link_tiers" method="POST">   
            ${formAddT.event_uid}
            <input type="hidden" id="tiers" name="tiers" style="width:20em;"
                class="form-control select2-offscreen" tabindex="-1">
            </input>
            <button type="submit" class="btn btn-primary" />
                <i class="icon-plus icon-white"></i> Ajouter cette entitée
            </button>
        </form>
        NB : Notez que les entités séléctionnées apparaissent dans les exposants.
    </p>

</fieldset>


<fieldset>
    <legend>Ajouter vos co-intervenants</legend>
    <p>
        Vous avez la possibilité d'être plusieurs pour un même évenement.<br>
        Chacun des intervenants doit être inscrit sur le site.
        <form action="/MesJM2L/${form.for_year.data}/${form.event_type.data}/link_user" method="POST">   
            ${formAdd.event_uid}
            <input type="hidden" id="intervenant" name="intervenant" style="width:20em;"
                class="form-control select2-offscreen" tabindex="-1">
            </input>
            <button type="submit" class="btn btn-primary" />
                <i class="icon-plus icon-white"></i> Ajouter cet intervenant
            </button>
        </form>
        NB : Notez que les intervenants d'un même évenement ont tous les droits de modification.
    </p>

</fieldset>
<div class="clearfix">&nbsp;</div>
    <p style="float:right;">Créé le ${event.created.strftime('%d %b %Y').decode('utf-8')}</p>
%else:
    <p style="float:right;">Créé le  
        ${datetime.now().strftime('%d %b %Y').decode('utf-8')}
    </p>
% endif
<br/>
<hr/>

  </div>
</div>

<%def name="jsAddOn()">
    <script src="/vendor/select2/js/select2.js"></script>
<script>
    jQuery(function() {
        $("#tiers").select2(
            {
                placeholder: 'Entrez ici votre entitée',
                minimumInputLength: 2, allowClear: true,
                ajax: {
                    quietMillis: 250, url: "/json-tiers", dataType: 'json',
                    data: function (term, page) {
                        return { pageSize: 8, pageNum: page, searchTerm: term };
                    },
                    results: function (data, page) {
                        var more = (page * 8) < data.Total; 
                        return { results: data.Results, more: more };
                    }
                }
            });
        $("#intervenant").select2(
            {
                placeholder: 'Entrez ici un Nom ou un Prénom',
                minimumInputLength: 2, allowClear: true,
                ajax: {
                    quietMillis: 250, url: "/json-users", dataType: 'json',
                    data: function (term, page) {
                        return { pageSize: 8, pageNum: page, searchTerm: term };
                    },
                    results: function (data, page) {
                        var more = (page * 8) < data.Total; 
                        return { results: data.Results, more: more };
                    }
                }
            });
    });
</script>
</%def>
<%
for jsitem in form._fields.keys():
    context._kwargs['postpone_js'].append( "$('#%s-help').popover();" % jsitem )
    if form._fields[jsitem].type=='SelectField':
        context._kwargs['postpone_js'].append( "$('#%s').select2({width:'resolve'});" % jsitem )
if formAdd:
    for jsitem in formAdd._fields.keys():
        context._kwargs['postpone_js'].append( "$('#%s-help').popover();" % jsitem )
%>
