<%inherit file="jm2l:templates/layout.mako"/>
<%namespace name="helpers" file="jm2l:templates/helpers.mako"/>

<div class="row-fluid">
  <div class="span10 offset1">

    <strong>${event.event_type}</strong>: 
<div class="borderboxtime">
${event.start_time.strftime('%d %b %Y').decode('utf-8')} -
${event.start_time.strftime('%H:%M')} à ${event.end_time.strftime('%H:%M')}
%if event.Salle:
    - <strong>Salle</strong>: ${event.Salle.name}
%endif
</div>    
%if event.event_uid:
    <a href="http://jm2l.linux-azur.org/node/${event.event_uid}">Link</a> -
%endif
% if event.for_year==2015 and request.user and (request.user.Staff or request.user in event.intervenants):
    <a href="/MesJM2L/${event.for_year}/${event.event_type}/${event.slug}">Editer</a>
% elif request.user and request.user.Staff:
    <a href="/MesJM2L/${event.for_year}/${event.event_type}/${event.slug}">Editer</a>
% endif
<h3 style="line-height:30px;">${event.name}</h3>

% if event.description :
    <div class="borderbox">
        ${event.description | n}
    </div>
% else:
    <p>Cette évenement n'a pas de description.</p>
% endif
% for media in event.presentation:
    <strong>Présentation</strong>:${media.filename} (${media.mime_type})
% endfor
<hr/> 
% for media in event.video:
    <div style="width:480px;margin:auto;">
        <video width="480" poster="" controls="controls" preload="metadata">
            <source type="${media.mime_type}" 
                src="/resources/${media.for_year}/Video/${media.filename}" />
        </video> <br />
        <strong>Vidéo</strong>:${media.filename} (${media.mime_type})
    </div>
% endfor

% for iterv in event.intervenants:
<p>
    <div class="titleborderbox">
        Intervenant <a href="/user/${iterv.slug}"><strong>${iterv.prenom} ${iterv.nom}</strong>.</a> 
        % if iterv.pseudo:
            (${iterv.pseudo})
        %endif
    </div>
    <div class="media borderbox">
        ${helpers.show_pictures(iterv)}
        <div class="media-body">
            % if iterv.bio:
                ${iterv.bio | n}
            % else:
                <i>Ce profil n'a pas été complété.</i>
            % endif
        </div>
    </div>
    <div class="footborderbox">
        % if iterv.website:
            <div style="float:right;">
                <a href="http://${iterv.website}">${iterv.website}</a>
            </div>
        % endif
    </div>
</p>
% endfor
<div class="clearfix">&nbsp;</div>
<p style="float:right;">Créé le ${event.created.strftime('%d %b %Y').decode('utf-8')}</p>
<br/>
<hr/>
  </div>
</div>
