import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.txt')) as f:
    README = f.read()
with open(os.path.join(here, 'CHANGES.txt')) as f:
    CHANGES = f.read()

## Do not forget to run for lxml dependencies
## apt-get install libxml2-dev libxslt1-dev

requires = [
    'pyramid',
    'pyramid_chameleon',
    'pyramid_debugtoolbar',
    'pyramid_tm',
    'SQLAlchemy',
    'transaction',
    'zope.sqlalchemy',
    'waitress',
    'wtforms',
    'webhelpers',
    'lxml',
    'python-slugify',
    'icalendar',
    'python-magic',
    'Pillow',
    'pyramid_exclog',
    'repoze.sendmail==4.1',
    'pyramid_mailer'
    ]

setup(name='JM2L',
      version='0.1',
      description='JM2L',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
        "Programming Language :: Python",
        "Framework :: Pyramid",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        ],
      author='tr4ck3ur',
      author_email='tr4ck3ur@style-python.fr',
      url='http://www.style-python.fr',
      keywords='web wsgi bfg pylons pyramid',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      test_suite='jm2l',
      install_requires=requires,
      entry_points="""\
      [paste.app_factory]
      main = jm2l:main
      [console_scripts]
      initialize_JM2L_db = jm2l.scripts.initializedb:main
      """,
      )
